Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.visualizers.utils
Class Colors

    java.lang.Object
      org.apache.jmeter.visualizers.utils.Colors

    public class Colors

extends Object

Field Summary
`protected static String` | `DEFAULT_COLORS_PROPERTY_FILE`
`protected static String` | `USER_DEFINED_COLORS_PROPERTY_FILE`

Constructor Summary
`Colors()`

Method Summary
`static List<Color>` | `getColors()` Parse icon set file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_COLORS_PROPERTY_FILE

    protected static final String DEFAULT_COLORS_PROPERTY_FILE

See Also:
  Constant Field Values

### USER_DEFINED_COLORS_PROPERTY_FILE

    protected static final String USER_DEFINED_COLORS_PROPERTY_FILE

See Also:
  Constant Field Values

Constructor Detail

### Colors

    public Colors()

Method Detail

### getColors

    public static List<Color> getColors()

  Parse icon set file.

  Returns:
    List of icons/action definition

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.